<app-post-form [currentPost] = "currentPost" [isEdit] = 'isEdit' (newPost)="onNewPost($event)" (updatedPost)="onUpdatePost($event)"></app-post-form>
<!--Outputs = signified by ()
    Inputs = signified by []-->
<h1>Posts</h1>
<div class="card" *ngFor="let post of posts">
  <div class="card-body">
    <h3>{{ post.title }}</h3>
    <p>{{ post.body }}</p>
    <hr>
<!--    Delete Button-->
    <button (click)="deletePost(post)" class="btn btn-danger"><i class="fa fa-remove"></i></button>
<!--    Edit Button-->
    <button (click)="editPost(post)" class="btn btn-light"><i class="fa fa-pencil"></i></button>
  </div>
</div>
